Bug 51454 - mkinitrd should disable mount count check on initrd fs
Summary: mkinitrd should disable mount count check on initrd fs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-10 16:29 UTC by giulioo
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-10 20:03:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description giulioo 2001-08-10 16:29:06 UTC
Description of problem:
Installed Roswell and somehow my clock was set to 1997; I adjusted clock 
and now at boot:
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 307k freed
====> EXT2-fs warning: checktime reached, running e2fsck is recommended
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded


How reproducible:
Didn't try

Steps to Reproduce:
1. Boot the system after mount-count/interval for fs is expired

Actual Results:
Freeing initrd memory: 307k freed
EXT2-fs warning: checktime reached, running e2fsck is recommended

Expected Results:  
initrd fs cannot be easily checked unless you remake it, so mkinitrd 
should do something like
tune2fs -i 0 -c 0

Comment 1 Glen Foster 2001-08-10 20:03:15 UTC
This defect is considered MUST-FIX for Fairfax.

Comment 2 Erik Troan 2002-01-11 16:34:43 UTC
fixed in mkinitrd 3.3


Note You need to log in before you can comment on or make changes to this bug.